Bug 249972 - cpuspeed-1.2.1-2.fc7 defaults to lowest value in cpu frequency
cpuspeed-1.2.1-2.fc7 defaults to lowest value in cpu frequency
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-28 15:47 EDT by NILMONI DEB
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-31 15:56:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description NILMONI DEB 2007-07-28 15:47:45 EDT
Description of problem:

Notice the CPU speed is reported as 1GHz in /proc/cpuinfo ->

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 14
model name      : Genuine Intel(R) CPU           T2400  @ 1.83GHz
stepping        : 8
cpu MHz         : 1000.000
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov 
pat clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc pni 
monitor vmx est tm2 xtpr
bogomips        : 3664.18
clflush size    : 64

On the contrary, "dmesg" shows these boot messages ->

CPU 0 irqstacks, hard=c0790000 soft=c0770000
PID hash table entries: 4096 (order: 12, 16384 bytes)
Detected 1830.942 MHz processor.

Which frequency value is correct? BTW, my laptop is connected to the power 
outlet so it should run on maximum speed (by default).

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 NILMONI DEB 2007-07-31 13:19:02 EDT
$ cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_available_governors
ondemand userspace performance

$ cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor

$ cat /sys/devices/system/cpu/cpu1/cpufreq/scaling_available_frequencies
1833000 1333000 1000000

It seems by default (as per /etc/sysconfig/cpuspeed) the governor is set to 
ondemand which causes the speed to be the lowest (1000MHz). I had to many set 
the GOVERNOR field to "performance" in /etc/sysconfig/cpuspeed and restart the 
service to get the maximum speed of 1833MHz. I would assume that when the 
laptop is running on AC power, the speed should not default to the mininum.
Comment 2 Jarod Wilson 2007-07-31 15:56:15 EDT
Nope, ondemand quickly ramps up to max speed when its needed -- i.e. On Demand,
thus the name of the governor. :)

More background: The idea here is to save power. The same driver runs on lots of
desktop systems, which are always on AC power. Can't do much good if it just
sits there full-throttle all the time. So you either want to switch to the
performance governor when on AC, or just use ondemand as its intended -- it does
ramp the speed up when its actually needed.

Note You need to log in before you can comment on or make changes to this bug.